Subject: [MMUSIC] RE: About the payload type in rfc3108

From: "Rajesh Kumar" <[email-masked]>
Date: Wed, 29 May 2002 16:53:21 -0700

The ATM payload type you are referring to is completely different. The one
you are referring to is a  three-bit field is used to distinguish  user
cells, OAM cells etc. RFC 3108 SDP does not describe this payload type.

The payload type used in SDP refers to the codec. In the case of  IP (RFC
2327, RFC 1889, RFC 1890), this payload type is also embedded in the RTP
packet. In the case of ATM (RFC 3108), the  payload type in the SDP is not
embedded in the ATM cell. Rather, it is  it simply is a handle that is used
to associate the codec name on the atmmap line as one of the possible codecs
for the atm connection described on the media "m" line.  In other words, for
ATM, payload type is purely a signaling construct and has no presence in the
bearer stream, unlike VoIP.

I hope this clarifies things.

Thanks,

Rajesh

 | -----Original Message-----
 | From: [email-masked] [mailto:[email-masked]]
 | Sent: Wednesday, May 29, 2002 6:31 AM
 | To: [email-masked]; [email-masked]
 | Subject: About the payload type in rfc3108
 |
 |
 |
 |
 | Hi,
 |      I have a doubt about the payload type in section 5.5.5. In it while
 | defining the payload type for AAL1/ATMF, it is written that
 | "Only thos payload
 | types, whether statically mapped or dynamically assigned, that
 | are consistent
 | with af-vtoa-78[7] can be used in this construction". While reading
 | "af-vtoa-78", i found that it specifies four payload type
 | identifier 0,1,2 and
 | 3. Is it correct to use only these payload types or i can use
 | any one from 0 to
 | 127.
 |
 | Regds
 | Sachin Jindal
 |
 | DISCLAIMER: This message is proprietary to Hughes Software Systems
 | Limited (HSS) and is intended solely for the use of the individual
 | to whom it is addressed. It may contain  privileged or confidential
 | information  and should not be circulated or used for any purpose other
 | than for what it is intended. If you have received this message in error,
 | please notify the originator immediately. If you are not the intended
 | recipient, you are notified that you are strictly prohibited from using,
 | copying, altering, or disclosing the contents of this message.
 | HSS accepts
 | no responsibility for loss or damage arising from the use of the
 | information
 | transmitted by this email including damage from virus.
 |
 |

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic